/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.document.library.internal.dynamic.data.mapping.util;

import com.liferay.dynamic.data.mapping.util.DDMTemplatePermissionSupport;
import com.liferay.portlet.documentlibrary.service.permission.DLPermission;

import org.osgi.service.component.annotations.Component;

/**
 * @author Lino Alves
 */
@Component(
	immediate = true,
	property = {
		"add.template.action.id=ADD_DOCUMENT_TYPE",
		"model.class.name=com.liferay.document.library.kernel.model.DLFileEntryMetadata"
	},
	service = {
		DDMTemplatePermissionSupport.class,
		DLFileEntryMetadataDDMTemplatePermissionSupport.class
	}
)
public class DLFileEntryMetadataDDMTemplatePermissionSupport
	implements DDMTemplatePermissionSupport {

	@Override
	public String getResourceName(long classNameId) {
		return DLPermission.RESOURCE_NAME;
	}

}