/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.document.library.internal.repository.capabilities;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.repository.capabilities.RepositoryEventTriggerCapability;
import com.liferay.portal.kernel.repository.event.RepositoryEventTrigger;
import com.liferay.portal.kernel.repository.event.RepositoryEventType;

/**
 * @author Adolfo Pérez
 */
public class LiferayRepositoryEventTriggerCapability
	implements RepositoryEventTriggerCapability {

	public LiferayRepositoryEventTriggerCapability(
		RepositoryEventTrigger repositoryEventTrigger) {

		_repositoryEventTrigger = repositoryEventTrigger;
	}

	@Override
	public <S extends RepositoryEventType, T> void trigger(
			Class<S> eventTypeClass, Class<T> modelClass, T model)
		throws PortalException {

		_repositoryEventTrigger.trigger(eventTypeClass, modelClass, model);
	}

	private final RepositoryEventTrigger _repositoryEventTrigger;

}